ARWrapper Provides a C++ wrapper around ARToolKit and exposes a C and JNI API

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
ARMarkerSquare Class Reference

Single marker type of ARMarker. More...

`#include <ARMarkerSquare.h>`

Inheritance diagram for ARMarkerSquare:

## Public Member Functions
| ARMarkerSquare ()
| ~ARMarkerSquare ()
ARdouble | getConfidence ()
ARdouble | getConfidenceCutoff ()
void | setConfidenceCutoff (ARdouble value)
bool | initWithPatternFile (const char *path, ARdouble width, ARPattHandle *arPattHandle)
bool | initWithPatternFromBuffer (const char *buffer, ARdouble width, ARPattHandle *arPattHandle)
bool | initWithBarcode (int barcodeID, ARdouble width)
bool | updateWithDetectedMarkers (ARMarkerInfo *markerInfo, int markerNum, AR3DHandle *ar3DHandle)
| Updates the marker with new tracking info. More...
bool | updateWithDetectedMarkersStereo (ARMarkerInfo *markerInfoL, int markerNumL, ARMarkerInfo *markerInfoR, int markerNumR, AR3DStereoHandle *handle, ARdouble transL2R[3][4])
Public Member Functions inherited from ARMarker
| ARMarker (MarkerType type)
| Constructor takes the type of this marker. More...
virtual | ~ARMarker ()
void | setPositionScalefactor (ARdouble scale)
ARdouble | positionScalefactor ()
virtual bool | update (ARdouble transL2R[3][4]=NULL)
    Completes an update begun in the parent class, performing filtering, generating
OpenGL view matrix and notifying listeners (just a log message at the moment). More...
ARPattern * | getPattern (int n)
| Returns the specified pattern within this marker. More...
void | setFiltered (bool flag)
bool | isFiltered ()
ARdouble | filterSampleRate ()
void | setFilterSampleRate (ARdouble rate)
ARdouble | filterCutoffFrequency ()
void | setFilterCutoffFrequency (ARdouble freq)

## Public Attributes
int | patt_id
| Unique pattern ID provided by ARToolKit. More...
int | patt_type
bool | useContPoseEstimation
Public Attributes inherited from ARMarker
int | UID
| Internal unique ID (note: not the same as ARToolKit pattern ID) More...
MarkerType | type
| Type of marker: single, multi, ... More...
bool | visiblePrev
| Whether or not the marker was visible prior to last update. More...
bool | visible
| Whether or not the marker is visible at current time. More...
ARdouble | transformationMatrix [16]
| Transformation suitable for use in OpenGL. More...
ARdouble | transformationMatrixR [16]
| Transformation suitable for use in OpenGL. More...
int | patternCount
| Number of patterns in this marker (1 for single) More...
ARPattern ** | patterns
| Array of pointers to patterns. More...

## Protected Member Functions
bool | unload ()
Protected Member Functions inherited from ARMarker
void | allocatePatterns (int count)
| Allocates space for patterns within this marker. More...
void | freePatterns ()
| Frees allocated patterns and resets the pattern count to zero. More...

## Protected Attributes
ARPattHandle * | m_arPattHandle
ARdouble | m_width
ARdouble | m_cf
ARdouble | m_cfMin
Protected Attributes inherited from ARMarker
ARdouble | trans [3][4]
| Transformation from camera to this marker. If stereo, transform from left camera to this marker. More...
ARdouble | m_positionScaleFactor

## Additional Inherited Members
Public Types inherited from ARMarker
enum | MarkerType { SINGLE, MULTI, NFT }
Static Public Member Functions inherited from ARMarker
static std::vector< ARMarker * > | newFromConfigDataFile (const char *markersConfigDataFilePath, ARPattHandle *arPattHandle, int *patternDetectionMode_out)
static ARMarker * | newWithConfig (const char *cfg, ARPattHandle *arPattHandle)

## Detailed Description

Single marker type of ARMarker.

## Constructor & Destructor Documentation

ARMarkerSquare::ARMarkerSquare | ( |  | ) |

ARMarkerSquare::~ARMarkerSquare | ( |  | ) |

## Member Function Documentation

ARdouble ARMarkerSquare::getConfidence | ( |  | ) |

ARdouble ARMarkerSquare::getConfidenceCutoff | ( |  | ) |

bool ARMarkerSquare::initWithBarcode | ( | int | barcodeID,
|  | ARdouble | width
| ) |  |

bool ARMarkerSquare::initWithPatternFile | ( | const char * | path,
|  | ARdouble | width,
|  | ARPattHandle * | arPattHandle
| ) |  |

bool ARMarkerSquare::initWithPatternFromBuffer | ( | const char * | buffer,
|  | ARdouble | width,
|  | ARPattHandle * | arPattHandle
| ) |  |

void ARMarkerSquare::setConfidenceCutoff | ( | ARdouble | value | ) |

bool ARMarkerSquare::unload | ( |  | ) |
| protected

bool ARMarkerSquare::updateWithDetectedMarkers | ( | ARMarkerInfo * | markerInfo,
|  | int | markerNum,
|  | AR3DHandle * | ar3DHandle
| ) |  |

Updates the marker with new tracking info.

Then calls ARMarker::update()

Parameters

  markerInfo | Array containing detected marker information
  markerNum | Number of items in the array
  ar3DHandle | AR3DHandle used to extract marker pose.

bool ARMarkerSquare::updateWithDetectedMarkersStereo | ( | ARMarkerInfo * | markerInfoL,
|  | int | markerNumL,
|  | ARMarkerInfo * | markerInfoR,
|  | int | markerNumR,
|  | AR3DStereoHandle * | handle,
|  | ARdouble | transL2R[3][4]
| ) |  |

## Member Data Documentation

ARPattHandle* ARMarkerSquare::m_arPattHandle
| protected

ARdouble ARMarkerSquare::m_cf
| protected

ARdouble ARMarkerSquare::m_cfMin
| protected

ARdouble ARMarkerSquare::m_width
| protected

int ARMarkerSquare::patt_id

Unique pattern ID provided by ARToolKit.

int ARMarkerSquare::patt_type

bool ARMarkerSquare::useContPoseEstimation

The documentation for this class was generated from the following files:

- include/ARWrapper/ARMarkerSquare.h
- lib/SRC/ARWrapper/ARMarkerSquare.cpp